> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Companies

* Get search results. Please make sure the search is **done** before calling this endpoint.

* Pricing: **1 credits** per result.


## OpenAPI

````yaml GET /get-search-companies-results
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /get-search-companies-results:
    get:
      parameters:
        - name: request_id
          in: query
          required: true
          schema:
            type: string
            example: dd1b29063de8927b31fa523d36432b61
          description: ''
        - name: page
          in: query
          required: false
          schema:
            type: integer
            example: 1
          description: >-
            The page number for paginated results. Maximum 100 results returned
            per page.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCompanies'
        '400':
          description: Invalid request_id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidRequestID'
        '503':
          description: Error not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetCompanies:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              company_id:
                type: string
                example: '2966330'
              company_name:
                type: string
                example: P&C Global
              description:
                type: string
                example: Welcome to P&C Global...
              domain:
                type: string
                example: pandcglobal.com
              employee_count:
                type: integer
                example: 77
              employee_range:
                type: string
                example: 5001-10000
              follower_count:
                type: integer
                example: 10866
              hq_city:
                type: string
                example: Toronto
              hq_country:
                type: string
                example: CA
              hq_full_address:
                type: string
                example: 1 Dundas St W, 25th Floor, Toronto, Ontario M5G 1Z3, CA
              linkedin_url:
                type: string
                format: uri
                example: https://www.linkedin.com/company/pandcglobal
              industry:
                type: string
                example: Business Consulting and Services
              logo_url:
                type: string
                format: uri
                example: https://media.licdn.com/dms/image/v2/.../logo.png
              year_founded:
                type: integer
                example: 2012
            required:
              - company_id
              - company_name
              - domain
              - linkedin_url
        message:
          type: string
          example: Search results retrieved successfully.
        total:
          type: integer
          example: 100
      required:
        - data
        - message
        - total
    InvalidRequestID:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid request_id.'
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````